# Adding Users to your Robin App

Adding users to Robin is quite simple. Create a [Robin User Token](/messaging-with-robin/guides/what-is-the-robin-user-token-rut.md) (RUT) for each user you want to converse with on Robin. Robin identifies users on the platform by their [RUT](/messaging-with-robin/guides/what-is-the-robin-user-token-rut.md). Fetch those users, then insert them into your Robin app.

{% hint style="info" %}
[What is the Robin User Token (RUT)?](/messaging-with-robin/guides/what-is-the-robin-user-token-rut.md)
{% endhint %}

For example, your data for a particular user could look like the below.

```jsx
{
  _id: '18daa0fb59324098b4964996d7739e85',
  first_name: 'John',
  last_name: 'Doe',
  username: 'JohnDoe'
  user_token: 'BLAaUGurGvTewxIGKKrVANhn' // Robin User Token
}
```

### User Privacy and Data Security

You may be concerned about the Robin team or anyone else, for that matter having access to your messages. To negate that, Robin ensures all data sent are secured and fully encrypted. Thereby giving you complete data ownership over your conversations on Robin.

Depending on the security options selected while [creating your Robin account](/messaging-with-robin/guides/setting-up-your-robin-account.md), your conversations within Robin can either be **Moderated** or **Fully Authenticated**.

A fully authenticated Robin App has end-to-end encryption. What this means is neither Robin nor you — except it’s a conversation you’re involved in — will be able to see the conversations that take place on the app.

On the contrary, a moderated Robin account also encrypts conversations. However, as the owner of the Robin app, you’ll be able to see every conversation.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.robinapp.co/messaging-with-robin/guides/adding-users-to-your-robin-app.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
